Alert
Unable to verify the project's public source code repository.

@pie-api-gcp/storage

v1.3.5

Storage package for PIE-API

Latest version published 8 months ago
    npm install @pie-api-gcp/storage
  
We couldn't find any similar packages Browse all packages

Package Health Score

44 / 100
  • Popularity
    Limited
  • Maintenance
    Sustainable
  • Security
    Security review needed
  • Community
    Limited
Make sure the open source you're using is safe to use
Secure my Project

Popularity

Limited
Weekly Downloads (0)
Dependents
1
GitHub Stars
?
Forks
?
Contributors

The npm package @pie-api-gcp/storage receives a total of 0 downloads a week. As such, we scored @pie-api-gcp/storage popularity level to be Limited.

Based on project statistics from the GitHub repository for the npm package @pie-api-gcp/storage, we found that it has been starred ? times, and that 1 other projects in the ecosystem are dependent on it.

Downloads are calculated as moving averages for a period of the last 12 months, excluding weekends and known missing data points.

Security

Security review needed
Powered by Snyk

Security and license risk for significant versions

All Versions

Direct Vulnerabilities

1.3.5
  • 0
    H
  • 0
    M
  • 0
    L

Indirect Vulnerabilities

1.3.5

License Risks

1.3.5
  • 0
    H
  • 0
    M
  • 0
    L
All security vulnerabilities belong to production dependencies of direct and indirect packages.

License
Unknown
Alert

Unable to detect license

We couldn’t find an appropriate license for this project. It is highly advised to make sure the project license is compatible with your business needs before including it as a dependency, to keep yourself protected from infringement suits or loss of your own code.


Security Policy
No

We found a way for you to contribute to the project! Looks like @pie-api-gcp/storage is missing a security policy.


Snyk detected that the latest version of @pie-api-gcp/storage has a security vulnerability.

We highly advise you to review these security issues.

You can connect your project's repository to Snyk to stay up to date on security alerts and receive automatic fix pull requests.

    # Install the Snyk CLI and test your project
npm i snyk && snyk test @pie-api-gcp/storage
Fix it in your project with Snyk!

Maintenance

Sustainable
Commit Frequency
Unavailable commit data
Open Issues
?
Merged PR
?
Open PR
?
Last Commit
unknown

Further analysis of the maintenance status of @pie-api-gcp/storage based on released npm versions cadence, the repository activity, and other data points determined that its maintenance is Sustainable.

We found that @pie-api-gcp/storage demonstrates a positive version release cadence with at least one new version released in the past 12 months.

In the past month we didn't find any pull request activity or change in issues status has been detected for the GitHub repository.

Community

Limited
Readme.md
No
Contributing.md
No
Code of Conduct
No
Contributors
0
Funding
No

This project has seen only 10 or less contributors.


Embed Package Health Score Badge

package health: 44/100 package health 44/100

Package

Node.js Compatibility
>=10

Age
8 months
Dependencies
16 Direct / 328 Total
Versions
5
Install Size
863 kB
Dist-tags
1
# of Files
74
Maintainers
1
TS Typings
No

We detected a total of 328 direct & transitive dependencies for @pie-api-gcp/storage. See the full dependency tree of @pie-api-gcp/storage

@pie-api-gcp/storage has more than a single and default latest tag published for the npm package. This means, there may be other tags available for this package, such as next to indicate future releases, or stable to indicate stable releases.